<?php

/**
* Creates the admin form for the Kupindo global settings
*/
function kupindo_admin_settings_form($form, &$form_state, $id = NULL){
  $form = array();
  $default_values = _kupindo_get_admin_form_values();
  $form['kupindo_global_product_state'] = array(
    '#type' => 'select',
    '#title' => 'Stanje proizvoda',
    '#required' => FALSE,
    '#options' => 
      array(
            0 => '--Odaberite stanje proizvoda--',
            1 => 'Nekorišćen',
            2 => 'Nekorišćen sa felerom',
            3 => 'Polovan bez oštećenja',
            4 => 'Polovan sa vidljivim znacima korišćenja',
            5 => 'Neispravno'
          ),
    '#default_value' => $default_values['product_state'],
  );

  $form['kupindo_global_product_shipping'] = array(
    '#type' => 'checkboxes',
    '#title' => 'Način slanja proizvoda',
    '#multiple' => TRUE,
    '#required' => FALSE,
    '#options' => 
          array(
            1 => 'AKS',
              2 => 'BEX',
              3 => 'City Express',
              4 => 'Pošta',
              5 => 'Post Express',
            6 => 'DExpress',
            7 => 'Lično preuzimanje',
            8 => 'Organizovani transport'
          ),
    '#default_value' => $default_values['product_shipping'],
  );

  $form['kupindo_global_product_payment'] = array(
    '#type' => 'checkboxes',
    '#title' => 'Način plaćanja proizvoda',
    '#multiple' => TRUE,
    '#required' => FALSE,
    '#options' => 
          array(
            4 => 'Plaćanje pouzećem',
            5 => 'Lično',
            6 => 'Tekući račun (pre slanja)',
            7 => 'PostNet (pre slanja)',
            8 => 'Ostalo (pre slanja)'
          ),
    '#default_value' => $default_values['product_payment'],
  );

  $form['kupindo_global_product_varanty'] = array(
    '#type' => 'checkboxes',
    '#title' => 'Garancija',
    '#required' => FALSE,
    '#options' => array(1 => 'Ima garanciju'),
    '#default_value' => array($default_values['product_varanty']),
  );

  $form['kupindo_global_product_varanty_length'] = array(
    '#type' => 'textfield',
    '#title' => 'Dužina garancije',
    '#required' => FALSE,
    '#default_value' => $default_values['product_varanty_length'],
  );

  $form['submit'] = array(
    '#type' => 'submit',
    '#value' => 'Sačuvajte',
  );

  return $form;
}

/**
* Gets the global Kupindo values
*/
function _kupindo_get_admin_form_values(){
  return array(
    'product_state' => variable_get('kupindo_global_product_state', 0),
    'product_shipping' => variable_get('kupindo_global_product_shipping', 0),
    'product_payment' => variable_get('kupindo_global_product_payment', 0),
    'product_varanty' => variable_get('kupindo_global_product_varanty', 0),
    'product_varanty_length' => variable_get('kupindo_global_product_varanty_length', ''),
  );
}

/**
* Saves the values from the Kupindo global settings form
*/
function kupindo_admin_settings_form_submit($form, &$form_state){
  variable_set('kupindo_global_product_state', $form_state['values']['kupindo_global_product_state']);

  $shipping_values = array_filter($form_state['values']['kupindo_global_product_shipping'], function($var){return $var !==0;});
  variable_set('kupindo_global_product_shipping', $shipping_values);

  $payment_values = array_filter($form_state['values']['kupindo_global_product_payment'], function($var){return $var !==0;});
  variable_set('kupindo_global_product_payment', $payment_values);

  $product_varanty = $form_state['values']['kupindo_global_product_varanty'][1];
  variable_set('kupindo_global_product_varanty', $product_varanty);
  
  $product_varanty_length = $form_state['values']['kupindo_global_product_varanty_length'];
  variable_set('kupindo_global_product_varanty_length', $product_varanty_length);
}
